Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.configuration
Class AbstractDataSource

    java.lang.Object
      org.deegree.ogcwebservices.wms.configuration.AbstractDataSource

Direct Known Subclasses:
  DatabaseDataSource, ExternalDataAccessDataSource, LocalWCSDataSource, LocalWFSDataSource, RemoteWMSDataSource

    public abstract class AbstractDataSource

extends Object

name of the data source where the WMS can find the data of a layer. the filterServiceClassName element identifies the filter servive that's responsible for accessing the data.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider

Field Summary
`static int` | `DATABASE` A constant indicating a database
`static int` | `EXTERNALDATAACCESS` A constant indicating an external data access
`static int` | `LOCALWCS` A constant indicating a local wcs.
`static int` | `LOCALWFS` A constant indicating a local wfs.
`protected OGCWebService` | `ows`
`static int` | `REMOTEWCS` A constant indicating a remote wcs.
`static int` | `REMOTEWFS` A constant indicating a remote wfs.
`static int` | `REMOTEWMS` A constant indicating a remote wms.

Constructor Summary
`protected` | `AbstractDataSource(boolean queryable, boolean failOnException, QualifiedName name, int type, OGCWebService ows, URL capabilitiesURL, ScaleHint scaleHint, Geometry validArea, URL featureInfoTransform, int reqTimeLimit, Map<String,String> dimProps)` Creates a new DataSource object.

Method Summary
`URL` | `getCapabilitiesURL()`
`Map<String,String>` | `getDimProps()`
`URL` | `getFeatureInfoTransform()`
`URL` | `getFeatureInfoURL()`
`QualifiedName` | `getName()`
`abstract OGCWebService` | `getOGCWebService()`
`int` | `getRequestTimeLimit()`
`ScaleHint` | `getScaleHint()`
`int` | `getType()`
`Geometry` | `getValidArea()`
`boolean` | `isFailOnException()`
`boolean` | `isQueryable()`
`void` | `setFeatureInfoURL(URL url)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOCALWCS

    public static final int LOCALWCS

  A constant indicating a local wcs.

  See Also:
    Constant Field Values

### LOCALWFS

    public static final int LOCALWFS

  A constant indicating a local wfs.

  See Also:
    Constant Field Values

### REMOTEWMS

    public static final int REMOTEWMS

  A constant indicating a remote wms.

  See Also:
    Constant Field Values

### REMOTEWCS

    public static final int REMOTEWCS

  A constant indicating a remote wcs.

  See Also:
    Constant Field Values

### REMOTEWFS

    public static final int REMOTEWFS

  A constant indicating a remote wfs.

  See Also:
    Constant Field Values

### DATABASE

    public static final int DATABASE

  A constant indicating a database

  See Also:
    Constant Field Values

### EXTERNALDATAACCESS

    public static final int EXTERNALDATAACCESS

  A constant indicating an external data access

  See Also:
    Constant Field Values

### ows

    protected OGCWebService ows

Constructor Detail

### AbstractDataSource

    protected AbstractDataSource(boolean queryable,
                                 boolean failOnException,
                                 QualifiedName name,
                                 int type,
                                 OGCWebService ows,
                                 URL capabilitiesURL,
                                 ScaleHint scaleHint,
                                 Geometry validArea,
                                 URL featureInfoTransform,
                                 int reqTimeLimit,
                                 Map<String,String> dimProps)

  Creates a new DataSource object.

  Parameters:
    `queryable` -
    `failOnException` -
    `name` -
    `type` -
    `ows` -
    `capabilitiesURL` -
    `scaleHint` -
    `featureInfoTransform` -

Method Detail

### getScaleHint

    public ScaleHint getScaleHint()

  Returns:
    the scale interval the data source is valid

### getName

    public QualifiedName getName()

  Returns:
    the name of the data source. The method may returns `null` if so no name is defined and a online resource or WFS filter have shall be returned.

### getOGCWebService

    public abstract OGCWebService getOGCWebService()
                                            throws OGCWebServiceException

  Returns:
    an instance of the `OGCWebService` that represents the datasource. Notice: if more than one layer uses data that are offered by the same OWS the deegree WMS shall just use one instance for accessing the OWS
  Throws:
    `OGCWebServiceException`

### getType

    public int getType()

  Returns:
    the type of the data source. possible values are:
    - LOCALWFS
    - LOCALWCS
    - REMOTEWFS
    - REMOTEWCS
    - REMOTEWMS
    the values are defined as constants in `DataSource`

### isFailOnException

    public boolean isFailOnException()

  Returns:
    true if the requesting of the complete layer and so of the complete request shall fail if access a datasource fails.

### isQueryable

    public boolean isQueryable()

  Returns:
    true i a datasource is queryable (considered for GetFeatureInfo requests)

### getCapabilitiesURL

    public URL getCapabilitiesURL()

  Returns:
    the URL of the capabilities document describing access to a datasource

### getFeatureInfoTransform

    public URL getFeatureInfoTransform()

  Returns:
    the URL of a XSLT script to transform the GML that internaly will be returned as result to a GetFeature or cascaded GetFeatureInfo request. The return is null if no transformation shall be performed.

### getValidArea

    public Geometry getValidArea()

  Returns:
    the area a datasource is valid

### getRequestTimeLimit

    public int getRequestTimeLimit()

  Returns:
    the maximum time in seconds a datasource shall be able to return a result.

### setFeatureInfoURL

    public void setFeatureInfoURL(URL url)

  Parameters:
    `url` -

### getFeatureInfoURL

    public URL getFeatureInfoURL()

  Returns:
    the feature info URL or null, if not set

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDimProps

    public Map<String,String> getDimProps()

  Returns:
    the dimProps

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org